### Constructor

# FwupdPlugin SecurityAttr new

since: 1.8.4

#### Declaration [src]

    FwupdSecurityAttr*
    fu_security_attr_new (
      FuContext* ctx,
      const gchar* appstream_id
    )

#### Description [src]

Creates a new `FwupdSecurityAttr` with context set.

Available since: 1.8.4

#### Parameters

`ctx`

  Type: `FuContext`

  A `FuContext`.

  The data is owned by the caller of the function.

`appstream_id`

  Type: `const gchar*`

  The AppStream component ID, e.g. `com.intel.BiosGuard`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdSecurityAttr`

A `FwupdSecurityAttr`.

The caller of the function takes ownership of the data, and is responsible for freeing it.